Set program access is unaware of all users vs. current user
SetProgramAccess.nsi needs to handle desktop shortcuts for All Users and the current user depending on the user's write access to the location.